Subject: How to setup linux to the vxworks system?

From: Alexey Karpov <[email-masked]>
Date: Mon, 14 Oct 2013 18:47:50 +0400

Hello!

I have a xerox print controller (an "serial number HFT"), used in xerox 
8825, 8830 and 510 wide format print systems, and  wish to use it as a 
little home server. It based on powerpc G4 (MPC7410) and equipped with 2 
PCI slots, 2 DIMM slots, intel-based integrated network card and 2 
firewire ports. There is no video adapter, communication is done via 
RS-232 port.

The problem is installed OS - vxworks and vxworks bootloader. I try to 
load linux kernel with this bootloader, but kernel crashed. Next i try 
to load yaboot (i get it from debian), yaboot seems to be running, but 
trying to write her output to nonexistent videocard. I was try to google 
about how to compile yaboot with uart support, but can't find anything.

Can you help me with booting linux kernel with vxworks bootloader, or 
reflashing this strange device to openfirmware, u-boot, or other 
bootloader to boot linux.